| Home | Libraries | People | FAQ | More

## Global bow

boost::xpressive::bow — Beginning of word assertion.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified bow;

## Description

'bow' matches the zero-width sub-sequence immediately following a non-word character and preceeding a word character. The regex traits are used to determine what constitutes a word character.